<script>
import OrderCard from "../components/OrderCard.vue";
import { httpGet } from "@/utils/connection.ts";
const time = require("strftime");
export default {
	name: "Orders",
	components: {
		OrderCard
	},
	data: () => ({
		loaded: false,
		orders: Array
	}),
	mounted() {
		this.get_orders();
	},
	methods: {
		async get_orders() {
			var response = await httpGet(process.env.VUE_APP_API_URL + "/orders");

			this.orders = response.orders;
			this.loaded = true;
		},
		format_date(d){
			return time('%Y-%m-%d %H:%M:%S', new Date(Date.parse(d)))
		}
	}
};
</script>

<template>
	<v-col>
		<template v-if="!loaded">
			<v-skeleton-loader  v-for="n in 3" :key=n type="card"/>
		</template>
		<order-card
			v-for="o in orders"
			:order="o"
			:key="o.id"
		/>
	</v-col>
</template>